#ifndef PREPROCESSING_H
#define PREPROCESSING_H

#include <iostream>

template< class Traits >
void preprocessing( Traits& traits )
{
	//	int ncols = traits.solver.num_cols();
	int nrows = traits.solver.num_rows();

	bool modified = true;

	while( modified ) {
		modified = false;
		
		for( int i = 0; i < nrows; ++i ) 
			modified |= traits.solver.tighten_bounds( i );
		std::cout << modified << std::endl;
	} // end of while

}

#endif
