#ifndef BBNODE_H
#define BBNODE_H

struct bbNode {

	int variable;
	double value;
	double lowerBound;
	double upperBound;

	double feasible;
	double bound;
    int depth;
    bool solved;
    bool integral;

	bbNode* parent;
	bbNode* lowerChild;
	bbNode* upperChild;

	unsigned int basis;

	bbNode();
	~bbNode();

};

#endif
